Browse Source

dev env: add upper version constraint for `click` to keep compatibility with python3.5

https://github.com/fphammerle/switchbot-mqtt/commit/cfa4f82e751567445163f3233e9305c0d0086b31
Fabian Peter Hammerle 4 weeks ago
parent
commit
dd7a4649bb
2 changed files with 4 additions and 1 deletions
  1. 2 0
      Pipfile
  2. 2 1
      Pipfile.lock

+ 2 - 0
Pipfile

@@ -23,6 +23,8 @@ pytest-timeout = "*"
 # python3.5 compatibility
 # https://github.com/PyCQA/astroid/commit/d81f07becf3243a84e0baaa3493ce74cafed8022#diff-60f61ab7a8d1910d86d9fda2261620314edcae5894d5aaa236b821c7256badd7R52
 astroid = "<2.5"
+# https://github.com/pallets/click/commit/9374365fdd5af45fc3dc4047963fa30aad9ce15c
+click = "<8"
 # https://github.com/python/importlib_metadata/commit/107f9029fd5807c6579b881db19e11a0488f0675
 importlib-metadata = "<3"
 isort = "<5"

+ 2 - 1
Pipfile.lock

@@ -1,7 +1,7 @@
 {
     "_meta": {
         "hash": {
-            "sha256": "134681dedfb11f21e820d003bf1392d24f7030c59ca03a053c9cf87c323de54d"
+            "sha256": "bce878acfd9f29d447e5aad4d9e0c0cb5a27f8d5f2787adfd895086589fb9890"
         },
         "pipfile-spec": 6,
         "requires": {
@@ -129,6 +129,7 @@
                 "sha256:d2b5255c7c6349bc1bd1e59e08cd12acbbd63ce649f2588755783aa94dfb6b1a",
                 "sha256:dacca89f4bfadd5de3d7489b7c8a566eee0d3676333fbb50030263894c38c0dc"
             ],
+            "index": "pypi",
             "version": "==7.1.2"
         },
         "coverage": {